netbeans-netcat mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From joe schmo <geekyguy...@hotmail.com>
Subject Re: Building Netbeans
Date Thu, 01 Nov 2018 12:37:18 GMT
I will raise an issue for what I found, I have no idea the severity, by that I mean I don't
know what is considered a "blocker".  I have never used the feature so I don't know the impact
of the error, so if someone could let me know that would be appreciated.

Bailey Campbell
________________________________
From: joe schmo <geekyguy444@hotmail.com>
Sent: October 31, 2018 6:21 PM
To: netcat@netbeans.incubator.apache.org
Subject: Re: Building Netbeans


I will stop bothering you with my issues, however, I did build NetBeans using  Ant.  I am
using 10.0-vc2 to add a NetBeans Platform to try and debug the code and it is 10.0-vc2 that
produced the output that I sent you.


Bailey Campbell

________________________________
From: Geertjan Wielenga <geertjan.wielenga@googlemail.com.INVALID>
Sent: October 31, 2018 6:15:44 PM
To: netcat@netbeans.incubator.apache.org
Subject: Re: Building Netbeans

Close NetBeans IDE 8.2.

Build Apache NetBeans on the command line.

However, if you want to help the project right now, forget all of this for
the moment, please. We need your feedback on the 10-vc2 build, please. Can
you unzip the ZIP, use it, and fill in the community acceptance survey?

Gj


On Wednesday, October 31, 2018, joe schmo <geekyguy444@hotmail.com> wrote:

> Sorry for not noticing this before I sent my first email, when  I select
> Tools->NetBean Platforms->Add Platform I get the following output in my cmd
> window.
>
> WARNING: An illegal reflective access operation has occurred
> WARNING: Illegal reflective access by org.netbeans.swing.dirchooser.DelegatingChooserUI
> (jar:file:/C:/Program%20Files/netbeans/ide/modules/org-
> netbeans-swing-dirchooser.jar!/) to method com.sun.java.swing.plaf.
> windows.WindowsFileChooserUI.createUI(javax.swing.JComponent)
> WARNING: Please consider reporting this to the maintainers of
> org.netbeans.swing.dirchooser.DelegatingChooserUI
> WARNING: Use --illegal-access=warn to enable warnings of further illegal
> reflective access operations
> WARNING: All illegal access operations will be denied in a future release<
> http://n>
>
>
> Bailey Campbell
> Subject: Re: Building Netbeans
>
>
> I am following along with the first video on this page
> http://netbeans.apache.org/participate/build-run-debug-tutorials.html and
> I have run into an issue.  At 5:10 on the first video after you've
> (Geertjan) added a NetBeans Platform the Platform Modules window is
> populated with a list of Modules.  Mine contains 1 Module, RCP Platform.
> Not sure why.
>
>
> Bailey Campbell
>
> ________________________________
> From: Geertjan Wielenga <geertjan.wielenga@googlemail.com>
> Sent: October 30, 2018 4:01:43 PM
> To: joe schmo
> Cc: netcat@netbeans.incubator.apache.org
> Subject: Re: Building Netbeans
>
>
> I see. Sure, you can use NetBeans IDE 8.2 to build Apache NetBeans.
>
> But you can also see that there are two columns on the page you're
> referring to: "Without NetBeans" and "With NetBeans".
>
> I would recommend you simply use the command line, i.e., the "Without
> NetBeans" column, i.e., as described in the README too:
>
> https://github.com/apache/incubator-netbeans
>
> Gj
>
>
> On Tue, Oct 30, 2018 at 7:51 PM joe schmo <geekyguy444@hotmail.com<mailto:
> geekyguy444@hotmail.com>> wrote:
> I was given the  following link for instructions on how to build NetBeans
> https://cwiki.apache.org/confluence/display/NETBEANS/
> Development+Environment
>
> <https://cwiki.apache.org/confluence/display/NETBEANS/
> Development+Environment>That link gives you a list of Pre-Requisites ,
> including a link to the version of Java to use and a link to the version of
> NetBeans to use, the link to NetBeans is this https://netbeans.org/
> downloads/.  Maybe the info is outdated?  Can I use Apache NetBeans 10.0?
>
> Bailey Campbell
>
>
> ________________________________
> From: Geertjan Wielenga <geertjan.wielenga@googlemail.com.INVALID>
> Sent: October 30, 2018 3:41:24 PM
> To: netcat@netbeans.incubator.apache.org<mailto:
> netcat@netbeans.incubator.apache.org>
> Subject: Re: Building Netbeans
>
> If you're trying to build Apache NetBeans, see the README:
>
> https://github.com/apache/incubator-netbeans
>
> Gj
>
>
> On Tue, Oct 30, 2018 at 7:40 PM Geertjan Wielenga <
> geertjan.wielenga@googlemail.com<mailto:geertjan.wielenga@googlemail.com>>
> wrote:
>
> > I don't understand the question, sorry. No bundle of 8.2 is needed.
> >
> > Gj
> >
> >
> > On Tue, Oct 30, 2018 at 7:38 PM joe schmo <geekyguy444@hotmail.com
> <mailto:geekyguy444@hotmail.com>> wrote:
> >
> >> What bundle of Netbeans 8.2 do I need, the one with everything?  (ie
> All)
> >>
> >>
> >>
> >> https://cwiki.apache.org/confluence/display/NETBEANS/
> Development+Environment
> >>
> >> Development Environment - NetBeans - Apache Software ...<
> >> https://cwiki.apache.org/confluence/display/NETBEANS/
> Development+Environment
> >> >
> >> cwiki.apache.org<http://cwiki.apache.org>
> >> If you are cloning your own fork, then the clone command would be
> >> different, please have a look at your fork in GitHub.
> >>
> >> Bailey Campbell
> >>
> >>
> >> ________________________________
> >> From: Glenn Holmer <cenbe@kolabnow.com.INVALID>
> >> Sent: October 25, 2018 12:32:10 PM
> >> To: netcat@netbeans.apache.org<mailto:netcat@netbeans.apache.org>
> >> Subject: Re: Building Netbeans
> >>
> >> On 10/25/2018 10:10 AM, joe schmo wrote:
> >> > Last night I downloaded the code for Netbeans ie  git clone
> >> > https://github.com/incubator-netbeans.git I'm running Windows 10, Ant
> >> > 1.10.5, Maven 3.5.
> >> If you haven't seen it, there's some good information here:
> >>
> >>
> >> https://cwiki.apache.org/confluence/display/NETBEANS/
> Development+Environment
> >>
> >> and here:
> >>
> >> http://netbeans.apache.org/participate/submit-pr.html
> >>
> >> (scroll down to "Contributing to Apache NetBeans in github")
> >>
> >> Remember that NetBeans has to be built under JDK8.
> >>
> >> > I'm wondering a few things.
> >> >
> >> >   1.  Am I pointing at the HEAD?  Is it the latest code or is there a
> >> branch for 10.0
> >> >   2.  Should Netbeans build out of the box?  I'm getting errors on my
> >> build.
> >> >   3.  Are there instructions to set up my environment?
> >>
> >> The branch for the 10.0 release is "release100", which I'm sure by now
> >> is ahead of the build we are testing with. I think there was talk about
> >> releasing another voting candidate soon, but a lot of the devs have been
> >> busy at the Code One conference. Always good to be subscribed to the dev
> >> list for the latest code gossip.
> >>
> >> --
> >> Glenn Holmer (Linux registered user #16682)
> >> "After the vintage season came the aftermath -- and Cenbe."
> >>
> >> ---------------------------------------------------------------------
> >> To unsubscribe, e-mail: netcat-unsubscribe@netbeans.apache.org<mailto:
> netcat-unsubscribe@netbeans.apache.org>
> >> For additional commands, e-mail: netcat-help@netbeans.apache.org
> <mailto:netcat-help@netbeans.apache.org>
> >>
> >> For further information about the NetBeans mailing lists, visit:
> >> https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists
> >>
> >>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message